﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class UITextTypeWriterWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UITextTypeWriter), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("changeFontSize", changeFontSize);
		L.RegFunction("changeRectTransform", changeRectTransform);
		L.RegFunction("runText", runText);
		L.RegFunction("ChangeText", ChangeText);
		L.RegFunction("__eq", op_Equality);
		L.RegFunction("__tostring", ToLua.op_ToString);
		L.RegVar("Play", get_Play, set_Play);
		L.RegVar("Delay", get_Delay, set_Delay);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int changeFontSize(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UITextTypeWriter obj = (UITextTypeWriter)ToLua.CheckObject<UITextTypeWriter>(L, 1);
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.changeFontSize(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int changeRectTransform(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UITextTypeWriter obj = (UITextTypeWriter)ToLua.CheckObject<UITextTypeWriter>(L, 1);
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			int arg1 = (int)LuaDLL.luaL_checknumber(L, 3);
			obj.changeRectTransform(arg0,arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int runText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UITextTypeWriter obj = (UITextTypeWriter)ToLua.CheckObject<UITextTypeWriter>(L, 1);
			obj.runText();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ChangeText(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2)
			{
				UITextTypeWriter obj = (UITextTypeWriter)ToLua.CheckObject<UITextTypeWriter>(L, 1);
				string arg0 = ToLua.CheckString(L, 2);
				obj.ChangeText(arg0);
				return 0;
			}
			else if (count == 3)
			{
				UITextTypeWriter obj = (UITextTypeWriter)ToLua.CheckObject<UITextTypeWriter>(L, 1);
				string arg0 = ToLua.CheckString(L, 2);
				float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
				obj.ChangeText(arg0, arg1);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UITextTypeWriter.ChangeText");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int op_Equality(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.ToObject(L, 1);
			UnityEngine.Object arg1 = (UnityEngine.Object)ToLua.ToObject(L, 2);
			bool o = arg0 == arg1;
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_Play(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UITextTypeWriter obj = (UITextTypeWriter)o;
			bool ret = obj.Play;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index PlayOnAwake on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_Delay(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UITextTypeWriter obj = (UITextTypeWriter)o;
			float ret = obj.Delay;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index Delay on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_Play(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UITextTypeWriter obj = (UITextTypeWriter)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.Play = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index PlayOnAwake on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_Delay(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UITextTypeWriter obj = (UITextTypeWriter)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.Delay = arg0;
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index Delay on a nil value");
		}
	}
}

